Package org.eclipse.rdf4j.benchmark.rio

## Class ParserBenchmark

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

- Direct Known Subclasses:
    `BinaryParserBenchmark`, `JSONLDParserBenchmark`, `N3ParserBenchmark`, `NQuadsParserBenchmark`, `NTriplesParserBenchmark`, `RDFJSONParserBenchmark`, `TrigParserBenchmark`, `TrixParserBenchmark`, `TurtleParserBenchmark`, `XMLParserBenchmark`

      public abstract class ParserBenchmark
      extends Object

  Benchmark for parsing a file created through `DataSetGenerator` with `BlackHoleRDFHandler`.
  Author:
    Tomas Kovachev t.kovachev1996@gmail.com

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_STRING_LENGTH` |
    `static int` | `MIN_STRING_LENGTH` |
    `static int` | `PERCENT_BNODE` |
    `static int` | `PERCENT_LITERALS` |
    `static boolean` | `TEXT_ONLY` |
    `static int` | `TOTAL_STATEMENTS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserBenchmark()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract RDFParser` | `getParser()` |
    `void` | `parseBufferedReader​(org.openjdk.jmh.infra.Blackhole blackhole)` |
    `void` | `parseStream​(org.openjdk.jmh.infra.Blackhole blackhole)` |
    `void` | `setup()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_STATEMENTS

          public static final int TOTAL_STATEMENTS

      See Also:
        Constant Field Values

    - #### MIN_STRING_LENGTH

          public static final int MIN_STRING_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_STRING_LENGTH

          public static final int MAX_STRING_LENGTH

      See Also:
        Constant Field Values

    - #### PERCENT_BNODE

          public static final int PERCENT_BNODE

      See Also:
        Constant Field Values

    - #### PERCENT_LITERALS

          public static final int PERCENT_LITERALS

      See Also:
        Constant Field Values

    - #### TEXT_ONLY

          public static final boolean TEXT_ONLY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParserBenchmark

          public ParserBenchmark()

  - ### Method Detail

    - #### setup

          public void setup()
                     throws IOException

      Throws:
        `IOException`

    - #### parseStream

          public void parseStream​(org.openjdk.jmh.infra.Blackhole blackhole)
                           throws IOException

      Throws:
        `IOException`

    - #### parseBufferedReader

          public void parseBufferedReader​(org.openjdk.jmh.infra.Blackhole blackhole)
                                   throws IOException

      Throws:
        `IOException`

    - #### getParser

          public abstract RDFParser getParser()